Subject: Re: Accidentally junking mail from CompuServe

From: [email-masked] (Steven Jorgensen)
Date: Wed, 29 Mar 1995 11:36:58 MST

On Mar 29, 11:19, Bob Weissman wrote:
} Subject: Accidentally junking mail from CompuServe
>> I find I'm accidentally sending mail from all CompuServe users into my
>> "junk" folder, because any CompuServe address matches the ^FROM_MAILER
>> pattern.
>> 
>> I have one mailing list which gets a fair amount of mailer junk, so I
>> had a recipe:
>> 
>> :0
>> *	^Sender: galaxy-users
>> {
>> 	:0:
>> 	*	^FROM_MAILER
>> 		junk
>> 	:0:
>> 		galaxy
>> }
>> 
>> Then I received a message with this header:
>>     From: Edinburgh Petroleum Services Ltd <[email-masked]>
>> 
>> and it appears that the "serv" in the address matches the "serv" in
>> ^FROM_MAILER.
>> 
>>      If the regular expression contains `^FROM_MAILER' it will be
>>      substituted by `(^(((Resent-)?(From|Sender)|X-Envelope-From):
>>      |>?From )(.*[^(.%@a-z0-9])?(Post(ma(st(er)?|n)|office)
>>      |(send)?Mail(er)?|daemon|mmdf|root|n?uucp|smtp|response
>>      |serv(ices?|er)|Admin(istrator)?)([^).!:a-z0-9].*)?$[^>])'
>>       ^^^^
>> 
>> Whoops.
}-- End of excerpt from Bob Weissman

	Its not matching the serv in compuserve.com, but the serv in
	Services in the front part of the name.. :)  The serv(ices?|er) says
	it MUST match either service, services, or server.  So, compuserve.com
	is safe, but Services is not..  (Note, procmail ignores the case..)
	So, most compuserve posters should be fine.  To solve your
	problem I would add an extra rule before the ^FROM_MAILER rule to
	handle the "Edinburgh Petroleum Services Ltd" case. (And any others
	that may have similar problems.)

					Steve

-- 
-------------------------------------------------------------
Steven Jorgensen        | Khoral Research Inc.
[email-masked]    | 6001 Indian School, Suite 200
(505) 837-6500          | Albuquerque, NM 87110
------------------------+------------------------------------
This Space for Rent.	| URL: http://www.khoros.unm.edu/
-------------------------------------------------------------